%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(XML/Xerces.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name WWW-phpBB-Mod-Installer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt2
Summary: Perl extension for installing mods onto phpBB..
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IC/ICLARK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The installer will read the installation modx XML file which contains the instructions used to install the mod. It will process copy, sql and open instructions..

When called, the directory the calling script is located in will have a logs and a backup directory created.
Any files overwritten or edited will be copied to the backups directory first.
The logs directory will contain a debug, autit and error log which will contain details of what has happened.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 0.03-alt2
- rebuild to get rid of unmets

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

